%define         kfname          plasma-wayland-protocols

Summary:	Plasma Specific Protocols for Wayland
Summary(pl.UTF-8):	Specyficzne dla Plasmy protokoły dla Waylanda
Name:		kf5-%{kfname}
Version:	1.12.0
Release:	1
License:	LGPL v2.1+, MIT, BSD
Group:		Libraries
Source0:	https://download.kde.org/stable/plasma-wayland-protocols/%{kfname}-%{version}.tar.xz
# Source0-md5:	7755dcac14e90068a7e26922c3a4a296
URL:		https://invent.kde.org/libraries/plasma-wayland-protocols.git
BuildRequires:	cmake >= 3.5
BuildRequires:	kf5-extra-cmake-modules >= 5.69.0
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_debugsource_packages	0

%description
Plasma Specific Protocols for Wayland.

%description -l pl.UTF-8
Specyficzne dla Plasmy protokoły dla Waylanda.

%package devel
Summary:	Development files for Plasma Wayland Protocols
Summary(pl.UTF-8):	Pliki programistyczne protokołów Waylanda dla Plasmy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files for applications that use
Plasma Wayland Protocols.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki do rozwijania aplikacji wykorzystujących
protokoły Waylanda dla Plasmy.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..

%ninja_build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{_datadir}/plasma-wayland-protocols

%files devel
%defattr(644,root,root,755)
%{_libdir}/cmake/PlasmaWaylandProtocols
%changelog
* Sat Jan 20 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-plasma-wayland-protocols.git;a=log;h=master

* Fri Jan 19 2024 Jakub Bogusz <qboosh@pld-linux.org> b2c8f68
- updated to 1.12.0

* Tue Nov 14 2023 Jakub Bogusz <qboosh@pld-linux.org> a76f4da
- updated to 1.11.1

* Tue Feb 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 54c4d7a
- updated to 1.10.0

* Thu Nov 10 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b1078a4
- rebuild against QT 5.15.7

* Mon Oct 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> a6ff7bf
- updated to 1.9.0

* Fri Aug 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 5fec9ac
- pl, fixed License, updated BRs, package README

* Sat May 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> c97ccc2
- updated to 1.7.0

* Tue Feb 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0431adf
- updated to 1.6.0

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0ea197f
- updated to 1.5.0

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4cffccb
- updated to 1.4.0

* Wed Jun 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d81d21d
- updated to 1.3.0

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6bf73c8
- updated to 1.2.1

* Sat Apr 03 2021 Jan Rękorajski <baggins@pld-linux.org> 3c300d9
- adapterized, no debugsource packages
- rel 1

* Fri Aug 21 2020 Łukasz Maśko <lmasko@pld-linux.org> 44f425f
- Initial version of the spec, created based upon the Fedora spec.

